%define major 2
%define minor 5
%define fix 0

Name: expat
Version: %{major}.%{minor}.%{fix}
Release: 1
License: MIT
Summary: XML parser library
Url: https://libexpat.github.io/

Source0: https://github.com/libexpat/libexpat/releases/download/R_%{major}_%{minor}_%{fix}/expat-%{version}.tar.bz2
# Man file built with doc2man on Linux and copied here
Source1: xmlwf.1

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

%description
Expat is an XML parser library written in C. It is a stream-oriented parser in
which an application registers handlers for things the parser might find in the
XML document (like start tags).

%package -n libexpat1
Summary: expat libraries

%description -n libexpat1
Expat is an XML parser library written in C. It is a stream-oriented parser in
which an application registers handlers for things the parser might find in the
XML document (like start tags).

%package devel
Summary: expat development files
Requires: libexpat1 = %{version}-%{release}

%description devel
Expat is an XML parser library written in C. It is a stream-oriented parser in
which an application registers handlers for things the parser might find in the
XML document (like start tags).

%prep
%setup -q

%build

autoreconf -fi

%configure \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --with-aix-soname=svr4 \
  --enable-shared \
  --disable-static
  
%make_build



%install

%make_install

install -D -m 444 %{SOURCE1} %{buildroot}/%{_mandir}/man1/xmlwf.1

%files
%defattr(-, qsys, *none)

%{_bindir}/xmlwf

%{_mandir}/man1/xmlwf.1*


%files -n libexpat1
%defattr(-, qsys, *none)

%{_libdir}/libexpat.so.1

%{_docdir}/expat/AUTHORS
%{_docdir}/expat/changelog

%license COPYING


%files devel
%defattr(-, qsys, *none)

%{_libdir}/libexpat.so

%{_libdir}/pkgconfig/expat.pc

%{_includedir}/expat.h
%{_includedir}/expat_config.h
%{_includedir}/expat_external.h

%{_libdir}/cmake/expat-%{version}/expat-config-version.cmake
%{_libdir}/cmake/expat-%{version}/expat-config.cmake
%{_libdir}/cmake/expat-%{version}/expat-noconfig.cmake
%{_libdir}/cmake/expat-%{version}/expat.cmake


%changelog
* Mon Jan 08 2024 Mark Irish <mirish@ibm.com> - 2.5.0
- Update to 2.5.0
- Regenerate xmlwf.1
- Fixes CVE-2022-43680
- Fixes CVE-2022-40674
- Fixes CVE-2022-25315
- Fixes CVE-2022-25314
- Fixes CVE-2022-25313
- Fixes CVE-2022-25236
- Fixes CVE-2022-25235
- Fixes CVE-2022-23990
- Fixes CVE-2022-23852
- Fixes CVE-2022-22827
- Fixes CVE-2022-22826
- Fixes CVE-2022-22825
- Fixes CVE-2022-22824
- Fixes CVE-2022-22823
- Fixes CVE-2022-22822
- Fixes CVE-2022-0217
- Fixes CVE-2021-46143
- Fixes CVE-2021-45960

* Thu Nov 4 2021 Jason Hansen <stymie@us.ibm.com> - 2.2.0
- Intra-package Requires need version and release
- Update URL for source

* Wed Nov 18 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 2.2.0
- Use brp-rm-libtool-files

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 2.2.0
- Use generic paths for man and info pages to allow for compression

* Mon Apr 20 2020 Mark Irish <mirish@ibm.com> - 2.2.9
- Bump to version 2.2.9 for CVE-2019-15903
- Package new doc files

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove duplicate Provides tag from libexpat1 package

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix BuildRequires

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Add missing defattr to libexpat1 package

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove outdated TODO comments

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs
